SUMOR QUESTION HAS WEAK TESTCASE ICPC 2019

Basically I am pushing all prefixsums in a array which got positive sum only. Andthen finding LIS in this array.

But what about those who found out that greedy won’t work and spent time in thinking of another solution because of so many subs?
At least this question should be made of least priority in case of ties.

5 Likes

Does anyone even have the correct solution in polynomial time?
See this blog.

I too agree with @roll_no_1 and @aryanc403, we also spent quite a time in solving that question, instead we could’ve gone for 7th or the 8th. Rejudging will just make the ranks of people who did solved it earlier more than ranks of people who did not solve it (considering they did not thought of that test case).

5 Likes

We also tried SUMOR for the same reason, wasted time and found a counter case. Coz of this we had less time to debug two other problems we were working on. Horrible rank. Tanked.

It is reasonable to say most teams that did 4 problems looked at SUMOR next coz high subs. Those who found a counter case tanked, those who didn’t went through.

8 Likes

Agreed it’s anyway a wrong solution I dont see why it shouldn’t be deleted :confused: and for the argument of wasting time we wasted more as we came up with the corner case :slight_smile: .

7 Likes

Yup that approach had like tending to 0 coding time, whoever tried that approach gave less time on the algo itself, thus wasting less time than those who didn’t submit.

4 Likes

You atleast got some time for other problems. We got the counter case and we got stuck thinking of a correct solution, and we were thinking of this question only because it was the more solved one. We didn’t even get time for other questions

6 Likes

Why would anyone ask to not rejudge the problem if they think their solution is correct? If they are confident about their solution , their code would pass even after the rejudging.

In competitive programming , one would logically submit the code only after they would be 100% sure that their algorithm is correct as mentioned by @aryanc403.

Rejudging should be done when setter’s code is correct but with weak test cases.
In case of setter’s intended solution is wrong , deleting the problem would be the most fair solution of this situation.

4 Likes

Where are @admin ? @vijju123

I haven’t solved the problem anyway. But consider, I solved a problem, got AC.
Now after the contest is over, I get Non AC. Had I got to know that during contest, I could have solved ( or at least tried). Getting something AC during contest and non-AC after contest is unfair specifically when it is NOT mentioned that problem will be judged on additional test cases as they do on codeforces/Topcoder.

What about you don’t get your verdict at all, Just nothing. (AC,WA,RE,TLE, compile error).
You get to know your score after the plagiarism check, selection process?
Or, only selected teams names are declared, not scores as they should be 100% sure their algorithm is correct anyway?

Maximum 1 submission per team per problem. As they should be 100% sure about their algorithm?

Conclusion

Makes sense. But if they do not, they should not be punished by some ways other than those mentioned in the rules ( 20 minutes penalty.)

3 Likes

@hitesh_0301 even your solution also fails on many test cases. I don’t see any solution passing almost every test case.
Try this test case in your solution :
1
5
22 5 11 4 26

Correct answer is 150.

“Getting something AC during contest and non-AC after contest is unfair specifically when it is NOT mentioned that problem will be judged on additional test cases as they do on codeforces/Topcoder.”

Here , you are considering the ideal case that setter’s solution is correct. But due to weak test cases, the greedy solution worked. But setter’s own intended solution to this problem was wrong. The proof could be found in the link:

Link

So if their algorithm was right then checking the additional test cases would not affect them. But if their solution was wrong , then they should definitely not get the marks of it.

3 Likes

Suppose my algorithm was wrong.
But I got it AC and thought it was correct. ( Everyone thinks their algorithm is correct. :sweat_smile:)
Had it been Non-AC during the contest, I could have tried to find correct algorithm.
Now I can’t.
That’s unfair to me.

1 Like

When its’ ACM , I don’t think people submit the code based on the intuition.
And I already answered your question why it should be judged again.

My team solved first 4 problems in almost 1 hour and 15 minutes. Since, the number of submissions of SUMOR was higher, I started to solve this one and ended up spending the whole time on it which turned out to be unfruitful. So it was definitely unfair to me.

4 Likes

Reach out to @admin on mail. Tagging me wont help dear :frowning:

I can understand bro. All I wanted to convey is rejudging now is bad idea, for those who got AC.
Maybe rejudging non-AC solutions might be better.

1 Like

I already admitted that there are test cases which fail for this solution.

It Isn’t Unfair when solution submited is wrong :expressionless: or tester didn’t spend much time proving his greedy approaches :frowning: .

1 Like

Why should I know my solution is wrong after contest?

1 Like